(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"), require("prop-types"));
	else if(typeof define === 'function' && define.amd)
		define(["react", "prop-types"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("react"), require("prop-types")) : factory(root["react"], root["prop-types"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_1__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 422);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }),

/***/ 133:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CARD_TYPE = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _Crypto = __webpack_require__(66);

var _Crypto2 = _interopRequireDefault(_Crypto);

var _gaDataset = __webpack_require__(3);

var _gaDataset2 = _interopRequireDefault(_gaDataset);

var _Crypto3 = __webpack_require__(65);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cx = _bind2.default.bind(_Crypto2.default);

var CARD_TYPE = exports.CARD_TYPE = {
  LEFT: 'left',
  TOP: 'top',
  BOTTOM: 'bottom'
};

var renderCompanyLogo = function renderCompanyLogo(logo) {
  return _react2.default.createElement('img', { src: logo, alt: '' });
};

var renderSymbolIcon = function renderSymbolIcon(symbol) {
  return _react2.default.createElement('img', { src: _Crypto3.COMPANIGN_URL + '/assets/crypto-' + symbol + '.svg', alt: '' });
};

var selectCardTheme = function selectCardTheme(type) {
  switch (type) {
    case CARD_TYPE.TOP:
      return 'card-content--top';
    case CARD_TYPE.LEFT:
      return 'card-content--left';
    case CARD_TYPE.BOTTOM:
      return 'card-content--bottom';
    default:
      return 'card-content--top';
  }
};

var Card = function Card(_ref) {
  var data = _ref.data,
      type = _ref.type;
  var id = data.id,
      logo = data.logo,
      title = data.title,
      link = data.link,
      _data$gaEvent = data.gaEvent,
      gaEvent = _data$gaEvent === undefined ? null : _data$gaEvent,
      features = data.features,
      performance = data.performance;

  var isPionex = id === 'pionex';
  var isBinance = id === 'binance';
  var isAce = id === 'ace';
  var cardTheme = selectCardTheme(type);

  var renderFeatures = function renderFeatures(isLeftContent) {
    var featureTheme = isLeftContent ? 'card-left-features' : 'card-features';

    return _react2.default.createElement(
      'div',
      { className: cx(featureTheme) },
      features.map(function (feature) {
        return _react2.default.createElement(
          'div',
          { className: cx('card-feature'), key: feature.title },
          _react2.default.createElement('img', { src: feature.logo, alt: 'feature logo' }),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'h3',
              null,
              feature.title
            ),
            _react2.default.createElement(
              'span',
              {
                className: cx({ 'pionex-theme': isPionex }, { 'binance-theme': isBinance }, { 'ace-theme': isAce })
              },
              feature.subTitle
            ),
            _react2.default.createElement(
              'span',
              { className: cx('card-feature--description') },
              feature.description
            )
          )
        );
      })
    );
  };

  var renderTable = function renderTable() {
    return _react2.default.createElement(
      'table',
      null,
      _react2.default.createElement(
        'thead',
        null,
        _react2.default.createElement(
          'tr',
          null,
          performance && performance.headers.map(function (header) {
            return _react2.default.createElement(
              'th',
              { key: header },
              header
            );
          })
        )
      ),
      _react2.default.createElement(
        'tbody',
        null,
        performance && performance.rows.map(function (_ref2, idx) {
          var symbol = _ref2.symbol,
              value = _ref2.value,
              day = _ref2.day,
              tag = _ref2.tag;

          return _react2.default.createElement(
            'tr',
            { key: 'row-' + idx.toString() },
            _react2.default.createElement(
              'td',
              null,
              renderSymbolIcon(symbol.toLowerCase()),
              _react2.default.createElement(
                'span',
                null,
                symbol
              ),
              tag && _react2.default.createElement(
                'span',
                { className: cx('symbol-tag') },
                tag
              )
            ),
            _react2.default.createElement(
              'td',
              null,
              value
            ),
            _react2.default.createElement(
              'td',
              null,
              day
            )
          );
        })
      )
    );
  };

  var handleClick = function handleClick() {
    if (typeof window !== 'undefined') {
      window.parent.postMessage(gaEvent, '*');
      window.open(link, '_blank');
    }
  };

  var renderLeftContent = function renderLeftContent() {
    return _react2.default.createElement(
      'div',
      null,
      renderFeatures(true),
      renderTable()
    );
  };

  var renderContent = function renderContent() {
    switch (type) {
      case CARD_TYPE.TOP:
        return renderFeatures();
      case CARD_TYPE.LEFT:
        return renderLeftContent();
      case CARD_TYPE.BOTTOM:
        return renderTable();
      default:
        return 'card-content--top';
    }
  };

  return _react2.default.createElement(
    'div',
    _extends({ className: cx('card') }, (0, _gaDataset2.default)(gaEvent), { onClick: handleClick }),
    _react2.default.createElement(
      'div',
      { className: cx('card-header') },
      renderCompanyLogo(logo),
      _react2.default.createElement(
        'span',
        { className: cx('card-header--title') },
        title
      )
    ),
    _react2.default.createElement(
      'div',
      { className: cx('card-content', cardTheme) },
      renderContent()
    )
  );
};

Card.defaultProps = {
  data: {},
  type: 'small'
};

exports.default = Card;

/***/ }),

/***/ 134:
/***/ (function(module, exports) {

module.exports = {"header":{"title":{"name":"投資虛擬貨幣 一次就上手","link":"https://campaign.cnyes.com/topics/anuecrypto/?utm_source=cnyes&utm_medium=homepage"},"readmore":{"link":"https://campaign.cnyes.com/topics/anuecrypto/?utm_source=cnyes&utm_medium=homepage"},"updatetime":"2021/11/16","gaEvent":{"title":{"dataPrefix":["data-global-ga"],"category":"Section","action":"標題","label":"投資虛擬貨幣"},"readmore":{"dataPrefix":["data-global-ga"],"category":"Section","action":"看更多","label":"投資虛擬貨幣"}}},"leftGroup":[{"id":"ace","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/logo-ace.svg","title":"ACE王牌數位資產交易所","link":"https://event.ace.io/2021/08/anue-exclusive-financialproduct/?utm_source=cnyes&utm_medium=homepage","gaEvent":{"dataPrefix":["data-global-ga"],"category":"投資虛擬貨幣","action":"Vendor","label":"ACE"},"description":"","features":[{"title":"台幣買賣","subTitle":"價金信託保管","description":"台幣資產安全","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/ace-icon-safe.svg"},{"title":"DeFi","subTitle":"平台放款","description":"流動性收益","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/ace-icon-defi.svg"},{"title":"優質債權","subTitle":"年化9-13%","description":"類定存收益","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/ace-icon-debt.svg"}],"performance":{"headers":["類別","固定年化收益","天期"],"rows":[{"symbol":"USDT","value":"9.00%","day":"45天"},{"symbol":"USDT","value":"11.00%","day":"120天"},{"symbol":"USDT","value":"12.50%","day":"270天"},{"symbol":"USDT","value":"13.00%","day":"365天"}]}}],"topGroup":[{"id":"pionex","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/logo-pionex.svg","title":"Pionex派網","link":"https://www.pionex.com/offers/#/anue?lang=zh-TW&utm_source=cnyes&utm_medium=homepage","gaEvent":{"dataPrefix":["data-global-ga"],"category":"投資虛擬貨幣","action":"Vendor","label":"Pionex"},"description":"7x24全年無休 抓住幣圈行情","features":[{"title":"網格交易","subTitle":"7×24小時","description":"自動低買高賣","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/pionex-icon-grid.svg"},{"title":"網格天地單","subTitle":"適合大趨勢","description":"一鍵開單","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/pionex-icon-limit.svg"},{"title":"期現套利","subTitle":"年化15-50%","description":"極低風險","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/pionex-icon-arbitrage.svg"}]},{"id":"binance","title":"BINANCE幣安","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/logo-binance.svg","link":"https://campaign.cnyes.com/topics/anuebinance/?utm_source=cnyes&utm_medium=homepage","gaEvent":{"dataPrefix":["data-global-ga"],"category":"投資虛擬貨幣","action":"Vendor","label":"Binance"},"description":"信用卡快速入手 買幣很Easy","features":[{"title":"定期定額","subTitle":"長期平均成本法","description":"分批存幣","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/binance-icon-sip.svg"},{"title":"信用卡買幣","subTitle":"一鍵買幣","description":"閃電進幣圈","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/binance-icon-creditcard.svg"},{"title":"外幣匯款","subTitle":"支援超過126國家","description":"貨幣出入金","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/binance-icon-foreign.svg"}]}],"bottomGroup":[{"id":"bincentive","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/logo-bincentive.svg","title":"Bincentive幣盛德富","link":"https://anue.bincentive.com/?utm_source=cnyes&utm_medium=homepage","gaEvent":{"dataPrefix":["data-global-ga"],"category":"投資虛擬貨幣","action":"Vendor","label":"Bincentive"},"description":"","performance":{"headers":["類別","最高年化收益","天期"],"rows":[{"symbol":"USDT","value":"8.00%","day":"3個月"},{"symbol":"BTC","value":"6.00%","day":"6個月"},{"symbol":"USDT","value":"0%~15.9%","day":"6個月"},{"symbol":"USDT","value":"-3.6%~23.8%","day":"6個月"}]}},{"id":"pokket","logo":"https://campaign.cnyes.com/topics/cryptoV2/assets/logo-pokket.svg","title":"POKKET","link":"https://anue.pokket.com/?utm_source=cnyes&utm_medium=homepage","gaEvent":{"dataPrefix":["data-global-ga"],"category":"投資虛擬貨幣","action":"Vendor","label":"Pokket"},"description":"","performance":{"headers":["類別","固定年化收益","天期"],"rows":[{"symbol":"USDT","value":"10.90%","day":"7天"},{"symbol":"BNB","value":"7.20%","day":"7天"},{"symbol":"BTC","value":"5.10%","day":"7天"},{"symbol":"ETH","value":"5.10%","day":"7天"}]}}]}

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
  Copyright (c) 2016 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(this && this[arg] || arg);
			} else if (Array.isArray(arg)) {
				classes.push(classNames.apply(this, arg));
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(this && this[key] || key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		module.exports = classNames;
	} else if (true) {
		// register as 'classnames', consistent with npm package name
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
			return classNames;
		}).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else {
		window.classNames = classNames;
	}
}());


/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var gaDataset = function gaDataset(_ref) {
  var _ref$dataPrefix = _ref.dataPrefix,
      dataPrefix = _ref$dataPrefix === undefined ? ['data-global-ga'] : _ref$dataPrefix,
      category = _ref.category,
      action = _ref.action,
      label = _ref.label;

  if (dataPrefix.length === 0 || !dataPrefix) {
    return null;
  }

  var gaRegExp = /^data-.*ga$/; // format restriction
  var eventsObj = dataPrefix.reduce(function (p, prefix) {
    var _p = p;

    if (gaRegExp.test(prefix)) {
      _p[prefix + '-category'] = category;
      _p[prefix + '-action'] = action;
      _p[prefix + '-label'] = label;
    }

    return _p;
  }, {});

  return eventsObj;
};

exports.default = gaDataset;

/***/ }),

/***/ 422:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(65);


/***/ }),

/***/ 65:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.COMPANIGN_URL = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Crypto = __webpack_require__(66);

var _Crypto2 = _interopRequireDefault(_Crypto);

var _Card = __webpack_require__(133);

var _Card2 = _interopRequireDefault(_Card);

var _gaDataset = __webpack_require__(3);

var _gaDataset2 = _interopRequireDefault(_gaDataset);

var _config = __webpack_require__(134);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cx = _bind2.default.bind(_Crypto2.default);

var COMPANIGN_URL = exports.COMPANIGN_URL = 'https://campaign.cnyes.com/topics/cryptoV2';

var Crypto = function Crypto(_ref) {
  var isShowHeader = _ref.isShowHeader;
  var header = _config2.default.header,
      leftGroup = _config2.default.leftGroup,
      topGroup = _config2.default.topGroup,
      bottomGroup = _config2.default.bottomGroup;
  var title = header.title,
      readmore = header.readmore,
      gaEvent = header.gaEvent;


  var handleClick = function handleClick(clickGaEvent) {
    if (typeof window !== 'undefined') {
      window.parent.postMessage(clickGaEvent, '*');
    }
  };

  var renderHeader = _react2.default.createElement(
    'div',
    { className: cx('crypto-header') },
    _react2.default.createElement(
      'div',
      { className: cx('crypto-header--title') },
      _react2.default.createElement(
        'a',
        _extends({
          href: title.link,
          rel: 'noopener noreferrer'
        }, (0, _gaDataset2.default)(gaEvent.title), {
          target: '_blank',
          onClick: function onClick() {
            return handleClick(gaEvent.title);
          }
        }),
        title.name
      )
    ),
    _react2.default.createElement(
      'div',
      { className: cx('crypto-readmore') },
      _react2.default.createElement(
        'span',
        { className: cx('crypto-readmore--updatetime') },
        '\u66F4\u65B0\u65E5\u671F\uFF1A ',
        header.updatetime
      ),
      _react2.default.createElement(
        'a',
        _extends({
          href: readmore.link,
          rel: 'noopener noreferrer',
          target: '_blank'
        }, (0, _gaDataset2.default)(gaEvent.readmore), {
          onClick: function onClick() {
            return handleClick(gaEvent.readmore);
          }
        }),
        '\u770B\u66F4\u591A',
        _react2.default.createElement('img', { alt: 'arrow icon', src: COMPANIGN_URL + '/assets/icon-arrow.svg' })
      )
    )
  );

  return _react2.default.createElement(
    'div',
    { className: cx('crypto') },
    isShowHeader && renderHeader,
    _react2.default.createElement(
      'div',
      { className: cx('crypto-content') },
      _react2.default.createElement(
        'div',
        { className: cx('crypto-content--left') },
        leftGroup.map(function (company) {
          return _react2.default.createElement(_Card2.default, { data: company, type: _Card.CARD_TYPE.LEFT, key: company.id });
        })
      ),
      _react2.default.createElement(
        'div',
        { className: cx('crypto-content--right') },
        topGroup.map(function (company) {
          return _react2.default.createElement(_Card2.default, { data: company, type: _Card.CARD_TYPE.TOP, key: company.id });
        }),
        bottomGroup.map(function (company) {
          return _react2.default.createElement(_Card2.default, { data: company, type: _Card.CARD_TYPE.BOTTOM, key: company.id });
        })
      )
    )
  );
};

Crypto.defaultProps = {
  isShowHeader: true
};

exports.default = Crypto;

/***/ }),

/***/ 66:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin
module.exports = {"wrapperWidth":"1200px","screenSizeSm":"321px","screenSizeMd":"768px","screenSizeMl":"990px","screenSizeLg":"1024px","screenSizeXl":"1200px","screenSizeXXl":"1360px","crypto":"_16z7l","crypto-header":"_1QwRo","crypto-header--title":"_3Gs6S","crypto-readmore--updatetime":"_1g2r6","crypto-readmore":"_1zyHD","crypto-content":"_8PwUF","crypto-content--left":"_gzwS6","crypto-content--right":"_30UtP","card":"_2308D","card-header":"_f8eQJ","card-header--title":"_1v47G","card-content":"_24-lC","card-content--bottom":"_wzTTu","card-content--top":"_2mrlM","card-content--left":"_1ryBW","card-features":"_2U9yD","card-feature":"_2J7_I","card-feature--description":"_lJwrs","pionex-theme":"_3olpt","binance-theme":"_1c-qZ","card-left-features":"_1VsBC","ace-theme":"_2IKLV","symbol-tag":"_kjEeY"};

/***/ })

/******/ });
});