/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import { withState } from '@dump247/storybook-state';
import SmartBanner from '../SmartBanner';
import notes from './SmartBanner.md';
import styles from './stories.style.scss';

storiesOf('SmartBanner', module)
  .addDecorator(story => (
    <div className={styles.wrapper}>
      <meta name="apple-itunes-app" content="app-id=1071014509" />
      <meta name="google-play-app" content="app-id=com.cnyes.android" />
      {story()}
    </div>
  ))
  .add(
    'default',
    withInfo()(
      withState({ isOpen: true })(
        withNotes(notes)(({ store }) => {
          document.cookie = 'smart-banner-closed= ; expires = Thu, 01 Jan 1970 00:00:00 GMT';

          return (
            <div className={styles.container}>
              <SmartBanner onShow={() => store.set({ isOpen: true })} onClose={() => store.set({ isOpen: false })} />
              <div className={store.state.isOpen ? styles.show : styles.hide}>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque scelerisque facilisis cursus. Mauris
                dui turpis, convallis sed enim ac, auctor ullamcorper odio. Integer ullamcorper ultrices enim, ac
                laoreet risus blandit a. Sed non diam eget ligula mattis iaculis ac quis elit. Nullam venenatis eleifend
                lacinia. In ac efficitur nisi. Phasellus fringilla lacinia mi eget gravida.
              </div>
            </div>
          );
        })
      )
    )
  );
