import throttle from 'lodash.throttle';
import { useEffect, useState } from 'react';

const useView = () => {
  const [screenWidth, setScreenWidth] = useState(0);

  useEffect(() => {
    const viewWidth = document.documentElement.offsetWidth;

    setScreenWidth(viewWidth);
  }, []);

  useEffect(() => {
    const screen = () => {
      if (document && document.documentElement) {
        setScreenWidth(document.documentElement.offsetWidth);
      }
    };

    window.addEventListener('resize', throttle(screen, 200));

    return () => window.removeEventListener('resize', screen);
  }, []);

  return [screenWidth];
};

export default useView;
