import axios from 'axios';

export default class AnueApiFetch {
  constructor() {
    this.instance = axios.create();

    this.instance.interceptors.request.use(
      config => {
        config.headers['content-type'] = 'application/json'; // eslint-disable-line no-param-reassign
        // custom header: https://cnyesrd.atlassian.net/wiki/spaces/PS/pages/682622993/API
        config.headers['X-platform'] = 'WEB'; // eslint-disable-line no-param-reassign

        return config;
      },
      error => Promise.reject(error)
    );
  }

  async get(url, callback) {
    const rawResult = await this.instance.request(url);

    if (callback) callback(rawResult);

    return rawResult;
  }
}
